<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/detail_card"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <com.google.android.material.progressindicator.LinearProgressIndicator
            android:id="@+id/loader"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:indeterminate="true" />

        <com.google.android.material.card.MaterialCardView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:cardCornerRadius="0dp"
            android:background="?attr/selectableItemBackground">


            <com.pierfrancescosoffritti.androidyoutubeplayer.core.player.views.YouTubePlayerView
                android:id="@+id/youtube_player"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:enableAutomaticInitialization="false" />

            <com.google.android.material.imageview.ShapeableImageView
                android:id="@+id/img_movie_detail"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:background="@color/black" />

        </com.google.android.material.card.MaterialCardView>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <TextView
                android:id="@+id/txt_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="17dp"
                style="?attr/textAppearanceHeadlineMedium"
                android:textAlignment="center"
                android:textColor="@color/my_app_on_background"
                android:paddingTop="25dp" />

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingTop="25dp">

                <include
                    android:id="@+id/rating"
                    layout="@layout/template_rating_stars"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>


            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingTop="25dp">


                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <TextView
                        android:id="@+id/txt_year"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingStart="2dp"
                        android:paddingEnd="19dp"
                        style="?attr/textAppearanceTitleSmall" />

                    <TextView
                        android:id="@+id/txt_time"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingStart="19dp"
                        android:paddingEnd="2dp"
                        style="?attr/textAppearanceTitleSmall" />
                </LinearLayout>
            </androidx.constraintlayout.widget.ConstraintLayout>


            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="22dp"
                android:paddingTop="25dp">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/genres"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:clipToPadding="false"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

            </androidx.constraintlayout.widget.ConstraintLayout>


            <include
                android:layout_marginTop="25dp"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/section_cast"
                layout="@layout/section_slider_horizontal" />
        </LinearLayout>

    </LinearLayout>

</androidx.core.widget.NestedScrollView>
